const fs = require('fs')
const path = require('path')

const filePath = path.join(__dirname, '../data/data.json')

//load data from the file

const loadData = () => {
    if (fs.existsSync(filePath)) {
      const dataBuffer = fs.readFileSync(filePath);
      const dataString = dataBuffer.toString();
  
      // Check if file content is empty
      if (dataString.trim() === '') {
        return [];
      }
  
      try {
        return JSON.parse(dataString);
      } catch (error) {
        console.error('Error parsing JSON:', error);
        return []; // Return an empty array if JSON is invalid
      }
    } else {
      return [];
    }
  };
  

const saveData = (data) => {
    try {
      const jsonString = JSON.stringify(data, null, 2); // Convert data to JSON string
      fs.writeFileSync(filePath, jsonString); // Write the JSON to file
    } catch (error) {
      console.error('Error saving data:', error);
    }
  };

module.exports = { loadData, saveData }